Subject: Re: bug#8119: 24.0.50; `mark-active' needs its doc string

From: Glenn Morris <[email-masked]>
Date: Sat, 26 Feb 2011 02:14:41 -0500

"Drew Adams" wrote:

> If this is a buggy build, then file a bug report saying to that
> effect. Or add that statement to this bug's description (body):
> "Anyway...". No problem.
>
> But please do not change the title of this bug. Even if you are
> convinced that the _cause_ of the symptom I reported is a buggy build,
> the bug-report title should not be changed.
>
> If you want, create a new bug with your "buggy" title, to refer to a
> problem that you discovered. And then, if you are convinced that this
> bug is related to the other, merge the two. That way, if the merge is
> mistaken the two can be dissociated. And their descriptions/titles
> anyway remain distinct.
>
> There is no reason to retitle a bug report. The original title is the
> OP's way of describing the problem. It need not be a description of
> the underlying cause of the problem. It need not even be
> accurate/correct. There is never any reason to simply wipe out that
> original description, replacing it with one you think is closer to the
> mark.
>
> This is not the way bugs are handled - in any bug tracking system I've seen.

Well. That certainly is an opinion. I disagree.

IMO the title is a brief phrase that best summarizes what the real issue
is. This is for the convenience of developers in locating bugs to work
on, and for other users in locating reports related to problems they may
be having. The original title is not always the best summary of the real
problem, which is why the retitle command exists.

But rest assured I won't interfere with any more of your reports, at all.